package com.fs.his.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("fs_user_wx")
public class FsUserWx {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 用户ID
     */
    private Long fsUserId;

    /**
     * 公司ID
     */
    private Long companyId;
    /**
     * 小程序/公众号appId
     */
    private String appId;
    /**
     * 微信unionId
     */
    private String unionId;
    /**
     * 微信openId
     */
    private String openId;

    /**
     * 1:小程序 2：服务号
     */
    private Integer type;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
